@font-face {
  font-family: Calibri;
  src: url(/assets/fonts/Calibri.ttf);
}

.cr-container {
  background: transparent;
  .loader {
    left: 55%;
  }
  .cr {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    border-radius: 2px;
    background-color: #ffffff;

    input#logo {
      line-height: 1;
      padding-top: 10px;
    }
  }
  .tab__header {
    background: white;
  }
  .erp-theme-setting {
    .field-section {
      width: 176px;
    }
    .rc-color-picker-trigger {
      width: 126px;
      height: 39px;
    }
    .custom-color-input {
      width: 200px;
    }
    .reset-btn {
      width: 75px;
      margin-top: 38px;
      min-width: unset;
      margin-left: -10px;
    }
  }

  .erp-theme-setting__logo {
    .logo-img {
      width: 300px;
    }
  }

  .erp__actions {
    width: 100%;
    margin: 10px 0 25px 20px;
    display: flex;

    .erp-container__save {
      margin-left: 20px;
    }
  }

  span.checkbox-holder {
    margin-top: 50px;
  }

  .c-r-proccessed {
    font-size: var(--font-xxxl);
    padding: 20px;
    display: flex;
    flex-direction: column;

    .header {
      margin-bottom: 10px;
      color: green;
    }
  }

  .add-new-document {
    min-width: 20px !important;
    height: var(--input-height);
    width: 35px;
    margin: -5px 10px 0 0;
    font-size: 30px !important;
    line-height: 15px;
    padding: 10px 0px;
  }
  .add-new-document-label {
    font-size: var(--font-l);
  }
  .upload-documents {
    margin-top: 10px;

    .file-name-list {
      padding: 5px 0 5px 0;
      .file-name {
        padding: 5px 0;
        word-break: break-word;
        max-width: 486px;
        width: 400px;
      }
      .btn.delete-btn {
        float: right !important;
      }
    }
  }

  .field-section .field__error {
    color: red;
    font-family: var(--font-first);
    font-size: var(--font-s);
    min-height: 17px;
    display: block;
    white-space: pre-line;
  }
  .email-generation-body {
    background: white;

    .serviceTicket-select, 
    .purchaseOrder-select {
      padding-left: 0;
    }

    .exclude-services-checkbox {
      margin-top: 33px;
    }

    .quote-select {
      margin-bottom: 10px;
      padding-right: 0px;
    }

    .no-data > p {
      margin: 10px 0;
    }

    #email-generation-content {
      .shipping_details p {
        margin-bottom: 0;
      }

      .customer-po {
        margin: 15px 0;
      }

      .email-generator-subject {
        margin: 10px 0;
      }
      
      .customer-po > span, .email-generator-subject > span {
        font-weight: bold;
      }

      .hardware-products-info{
        .checkbox__content {
          margin-top: 0;
        }
      }

      #hardware-content {
        margin-bottom: 35px;
      }

      #hardware-table {
        td p {
          margin: 5px 10px;
        }
      }

      .contract-content-info {
        width: fit-content;
        td p {
          margin: 5px 10px;
        }
      }
      
      .download-button {
        margin-bottom: 25px;
      }
    }
  }
  .unit-cost {
    background: #00800040;
    width: 100%;
    text-align: center;
  }
  .quantity-pending {
    background: #ff000033;
    width: 100%;
    text-align: center;
  }
  .quantity-shipped {
    background: #ddd0ed;
    width: 100%;
    text-align: center;
  }
  .quantity-received {
    background: #3c763d33;
    width: 100%;
    text-align: center;
  }
  .quantity-p {
    width: 100%;
    text-align: center;
  }
  .or-ticket-notes {
    padding: 10px 5px;

    .field__label {
      font-family: Montserrat;
      font-size: var(--font-m);
      font-weight: 500;
    }
  }

  .update-actions-btn {
    display: flex;
    justify-content: flex-end;
    padding-bottom: 12px;

    .bulk-or {
      margin-right: 15px;
      height: 30px;
      background: white;
      color: var(--primary);
    }

    .update-or {
      height: 30px;
    }
  }

  .bulk-parent {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    // height: 100%;
    height: 94.5vh;

    .bulk-edit-container {
      display: flex;
      flex-direction: column;

      .title {
        height: 50x;
        padding-top: 12px;
        font-family: Montserrat;
        font-size: 14px;
        font-weight: 600;
        font-stretch: normal;
        font-style: normal;
        letter-spacing: normal;
        text-align: left;
        color: #003041;
        border-bottom: solid 1px #dce6ea;
        padding: 20px;
      }

      .info-top {
        padding: 20px;
        padding-top: 10px;
        padding-bottom: 10px;
        font-family: Montserrat;
        font-size: 12px;
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #808688;
      }

      .info-bottom {
        padding: 20px;
        padding-bottom: 10px;
        font-family: Montserrat;
        font-size: 12px;
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #808688;
      }

      .field-section {
        padding: 0px;
      }

      .tag-input {
        padding: 20px;
        padding-top: 25px;
        display: flex;
        flex-direction: column;
        flex: 0.4;

        .detail-title {
          padding-bottom: 5px;
          font-size: 12px;
          font-weight: 500;
          font-stretch: normal;
          font-style: normal;
          line-height: 1.25;
          letter-spacing: normal;
          text-align: left;
          color: #4e585c;
        }
      }

      .bulk-detail-title {
        font-family: Montserrat;
        font-size: 12px;
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #4e585c;
      }

      .bulk-actions-footer {
        padding: 20px;
        height: 60px;
        background-color: #e7f0f4;
        display: flex;
        align-items: center;
        justify-content: space-between;
      }

      .bulk-ship-date {
        padding-left: 20px;
        padding-top: 10px;
        .field-section {
          padding: 0px;
          width: 130px;
        }
      }

      .bulk-recieve-all-checkbox {
        margin-top: 5px;
        margin-left: 22px;
        margin-bottom: 20px;
      }

      .bulk-internal-notes {
        .field-section {
          padding: 0px;
        }
      }

      .bulk-internal-notes {
        padding-left: 20px;
        padding-top: 10px;
        padding-right: 20px;
      }

      .mapped-carrier-container {
        padding-left: 20px;
        padding-top: 10px;
        .field-section {
          padding: 0px;
          width: 180px;
        }
      }
    }

    .bulk-actions-footer {
      padding: 20px;
      height: 60px;
      background-color: #e7f0f4;
      display: flex;
      align-items: center;
      justify-content: space-between;
    }
  }

  .config-parent {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    // height: 100%;
    min-height: 94.5vh;
    height: auto;

    .config-create-container {
      display: flex;
      flex-direction: column;
      margin: 20px;
      // height: 40px;
      // text-align: center;
      padding-top: 15px;

      .product-id {
        padding-top: 12px;

        .detail-title {
          text-align: left;
        }
      }

      .product-data {
        font-family: Montserrat;
        font-size: 14px;
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.29;
        letter-spacing: normal;
        text-align: left;
        color: #001f2b;
      }

      .config-section {
        border-bottom: solid 1px #dce6ea;

        .info-bottom {
          padding: 0px;
          padding-top: 20px;
          padding-bottom: 20px;
          font-family: Montserrat;
          font-size: 12px;
          font-weight: 500;
          font-stretch: normal;
          font-style: normal;
          line-height: 1.25;
          letter-spacing: normal;
          text-align: left;
          color: #808688;
        }
      }

      .serial-number-container {
        padding-top: 12px;
        padding-bottom: 20px;
        border-bottom: solid 1px #dce6ea;

        .detail-title {
          text-align: left;
        }

        .serial-numbers-list {
          display: flex;
          flex-direction: row;
          flex-wrap: wrap;

          .serial-number-item {
            margin: 3px;
            padding-left: 5px;
            padding-right: 5px;
            margin-right: 8px;
            border-radius: 4px;
            background-color: #e5f3f8;
            font-family: Montserrat;
            font-size: 14px;
            font-weight: 500;
            font-stretch: normal;
            font-style: normal;
            line-height: 1.29;
            letter-spacing: normal;
            text-align: left;
            color: #001f2b;
          }
        }
      }

      .configuration-type {
        padding-top: 12px;
      }
      .start-date {
        width: 150px;
        padding-bottom: 20px;
      }
      .expiration-date {
        width: 150px;
        margin-left: 20px;
      }

      .title-op {
        padding-top: 20px;
        padding-bottom: 20px;
        font-family: Montserrat;
        font-size: 14px;
        font-weight: 600;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.29;
        letter-spacing: normal;
        text-align: left;
        color: #003041;
      }

      .create-opp-action {
        font-family: Montserrat;
        font-size: 12px;
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: var(--primary);
        cursor: pointer;
      }

      .title {
        padding-bottom: 12px;
        height: 50px;
        padding-top: 12px;
        font-family: Montserrat;
        font-size: 14px;
        font-weight: 600;
        font-stretch: normal;
        font-style: normal;
        letter-spacing: normal;
        text-align: left;
        color: #003041;
        border-bottom: solid 1px #dce6ea;
      }

      .info-top {
        padding: 20px;
        padding-top: 10px;
        padding-bottom: 10px;
        font-family: Montserrat;
        font-size: 12px;
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #808688;
      }

      .info-bottom {
        padding: 20px;
        padding-top: 100px;
        padding-bottom: 10px;
        font-family: Montserrat;
        font-size: 12px;
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #808688;
      }

      .field-section {
        padding: 0px;
      }

      .tag-input {
        padding: 20px;
        padding-top: 25px;
        display: flex;
        flex-direction: column;
        flex: 0.4;

        .detail-title {
          padding-bottom: 5px;
          font-size: 12px;
          font-weight: 500;
          font-stretch: normal;
          font-style: normal;
          line-height: 1.25;
          letter-spacing: normal;
          text-align: left;
          color: #4e585c;
        }
      }

      .bulk-detail-title {
        font-family: Montserrat;
        font-size: 12px;
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #4e585c;
      }

      .bulk-actions-footer {
        padding: 20px;
        height: 60px;
        background-color: #e7f0f4;
        display: flex;
        align-items: center;
        justify-content: space-between;
      }

      .bulk-ship-date {
        padding-left: 20px;
        padding-top: 10px;
        .field-section {
          padding: 0px;
          width: 130px;
        }
      }

      .bulk-internal-notes {
        .field-section {
          padding: 0px;
        }
      }

      .bulk-internal-notes {
        padding-left: 20px;
        padding-top: 10px;
        padding-right: 20px;
      }

      .mapped-carrier-container {
        padding-left: 20px;
        padding-top: 10px;
        .field-section {
          padding: 0px;
          width: 180px;
        }
      }
    }

    .bulk-actions-footer {
      padding: 20px;
      height: 60px;
      background-color: #e7f0f4;
      display: flex;
      align-items: center;
      justify-content: space-between;
    }
  }
  .notes {
    margin: -5px -20px -10px -20px;
  }
}

.service-proccesing {
  margin: 20px;
  padding: 0;
  border: 1px solid #ccc;

  .section-heading {
    border-bottom: 1px solid #ccc;
    padding: 10px 35px;
    font-weight: 700;
  }
  .text {
    padding: 10px 20px;
    font-weight: 700;
  }
  .project-mng-box {
    padding: 0;
    .info-recomended {
      color: green;
      font-style: italic;
      text-transform: capitalize;
      padding: 0 0 0 20px;
      top: -13px;
      position: relative;
    }
  }
}

.html-section {
  border: 1px solid #aeadad;
  padding: 10px;
  margin-bottom: 20px;
  font-size: 15px;
  font-family: Calibri, "sans-serif";

  .html-data {
    font-weight: 500;
  }

  img.status-images {
    height: 25px;
    margin: 0 5px;
  }

  table {
    border: 1px solid #ccc;
    border-collapse: collapse;
    margin: 0;
    padding: 0;
    table-layout: auto;
    border-spacing: 2px;
  }

  table caption {
    font-size: 1.5em;
    margin: 0.5em 0 0.75em;
  }

  table tr {
    background-color: #ffffff;
    border: 1px solid #ddd;
    padding: 0.35em;
  }

  table th,
  table td {
    border: 1px solid #ddd;
    padding: 1.3px;
    text-align: center;
  }

  table th {
    font-size: 0.85em;
    letter-spacing: 0.1em;
    text-transform: uppercase;
  }
}

.hardware-products-info {
  .show-shipped-checkbox {
    margin-top: 0px !important;
    margin-left: 13px;
  }
  .action-row-table {
    display: flex;
    flex-direction: row;
  }
  .contract-content-info {
    width: 60% !important;
  }
}

.copy-email-content {
  margin: 36px 0 0 0;
  height: var(--input-height);
}
.csv-tables-data-download {
  margin: 10px;
  .download-button {
    padding: 5px 0 0 0;
    min-width: unset !important;
    width: 100px;
    margin: 0 10px 0 0;
  }
}

.copy-to-clipboard {
  float: right;
}

.order-tracking-line-items {
  .rdt.rdtOpen .rdtPicker {
    border-radius: 3px;
    border: 1px solid #b0b0b0;
    color: black;
    position: fixed;
  }
  span.field__error {
    display: none !important;
    height: 0px;
  }
  .field-section div.row {
    margin: 0;
    padding: 0 !important;
  }
  .field-section.col-md-12.col-xs-12 {
    padding: 0 !important;
  }
  span.checkbox-holder {
    margin: auto !important;
  }
  .react-tagsinput {
    margin: 0px;
    overflow: auto;
  }
  .connectwise-header {
    color: #60a9e1;
  }
  .ingram-header {
    color: green;
  }
  .rt-td {
    overflow: initial !important;
    white-space: unset !important;
  }
}

.line-items-header {
  display: flex;
  justify-content: space-around;
  background: white;
  padding: 10px;
  font-weight: 600;
  .connectwise-header {
    color: #60a9e1;
  }
  .ingram-header {
    color: green;
  }
}
.footer-line-items {
  background: white;
  .btn-primary {
    margin: 15px 0 20px 20px;
  }
  .error {
    color: red;
    background: #ffffff;
    padding: 10px 15px;
  }
}

.error-tag-input {
  color: var(--danger);
}

.order-tracking-v2-main {
  background: transparent;
  flex-direction: column;
  border-radius: 2px;
  display: flex;

  .ot-v2-header {
    background: var(--tile-bg);
  }

  .notes {
    margin: 10px -5px 0 -5px;
  }
}

.link-so-po-modal {
  .modal-dialog {
    width: 900px;
    margin: 120px auto;
  }
  .modal-content {
    width: unset !important;
  }
  .modal-body > .link-so-po-container {
    width: 100%;
    .field-section {
      padding: 0;
    }
    .unlinked-so-input {
      padding-left: 10px;
    }
    #so-po-link-note {
      color: red;
      font-size: var(--font-m);
      font-weight: 600;
    }
  }
}